/* ----------------------------------------------------------------
 *   FILE
 *	io.c
 *	
 *   NOTES
 *
 *   IDENTIFICATION
 *	$Header: /private/postgres/src/parser/RCS/io.c,v 1.6 1990/09/25 22:21:07 goh Exp $
 * ----------------------------------------------------------------
 */

#include <stdio.h>
#include "utils/log.h"
#include "io.h"

int StringInput;
char *TheString;
char *Ch;

void
init_io()
{

    void NewInput(void), DeleteBuffer(void);
    DeleteBuffer();
    NewInput();
    Ch = NULL;
}

char
input()
{
    char DoInput(void);
    return DoInput();
}

void
unput(c)
char c;
{
    void DoUnput(char);
    return DoUnput(c);
}
